Subject: bug#17293: 24.4.50; C-g often fails in minibuffer under X

From: [email-masked] (T.V Raman)
Date: Thu, 24 Apr 2014 14:06:56 -0700

Stefan, Makes sense.

I've been chasing a separate problem in emacs  at work that is
keeping emacs busy --see below.

I run emacs-jabber to connect to Google Talk. 

I have a large number of contacts there -- order of magnitude
100s  -- many of whom constantly keep changing status.

emacs-jabber uses a continues fsm ping mechanism and if I leave
emacs idle ie dont touch the keyboard, profiler shows that emacs
is permanently busy in that handler.  I've been trying various
advice tricks to keep that fsm tick from happening except  when
jabber  roster is selected, and surprize surprize that got the
c-g problem to diminish -- I could not figure out why till I saw
your note today.

Stefan Monnier writes:
 > > often, if I have a minibuffer completion  up, hitting C-g does
 > > not dismiss the minibuffer, I actually have to switch away from
 > 
 > If you're in the minibuffer, then C-g should normally dismiss the
 > minibuffer, yes.  Of course, we have the problem that C-g only does that
 > if it runs keyboard-quit (i.e. if Emacs was idle), and not if it signals
 > "quit" (i.e. Emacs was busy with something).
 > 
 > So apparently, there's been more cases where Emacs is "busy" (probably
 > just waiting in a sit-for or something).  So to fix this, we need to
 > figure out what that C-g interrupts.
 > 
 > 
 >         Stefan